package com.ssj.bean.conch.conch.domain;


import com.alibaba.fastjson.annotation.JSONField;
import com.ssj.bean.common.framework.core.domain.BaseEntity;


import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;


/** 
 * @author  ZhangCaibao 
 * @version 2018年4月11日 下午3:26:05 
 * 类说明  硬件设备表（小塾表）跟会员卡之间的绑定，关联用户
 */
@Entity
@Table(name = "conch_system_derver")
public class ConchSystemDerver extends BaseEntity {

	private static final long serialVersionUID = 5763217046572919782L;
	
	private String derver;//小塾设备号
    private String oldDerver;//由前端上传设备号

    private Date createdDate;//创建时间。
    private Date updatedDate;//绑定时间

    private String simcard;//sim卡号
    private String imei;//imei号

	private int num;
	private int type;
    public ConchSystemDerver(){};
	public ConchSystemDerver(String derver, String oldDerver, String simcard, String imei){
		super();
        this.derver = derver;
		this.oldDerver = oldDerver;
		this.simcard = simcard;
		this.imei = imei;
		this.num =0;
		this.type =2;
	};
	public String getDerver() {
		return derver;
	}

	public void setDerver(String derver) {
		this.derver = derver;
	}

	public String getOldDerver() {
		return oldDerver;
	}

	public void setOldDerver(String oldDerver) {
		this.oldDerver = oldDerver;
	}
	@Column(updatable = false)
	@JSONField(serialize = false)
	public Date getCreatedDate() {
		return createdDate;
	}

	public void setCreatedDate(Date createdDate) {
		this.createdDate = createdDate;
	}
	@Column(insertable = false)
	@JSONField(serialize = false)
	public Date getUpdatedDate() {
		return updatedDate;
	}

	public void setUpdatedDate(Date updatedDate) {
		this.updatedDate = updatedDate;
	}

	public String getSimcard() {
		return simcard;
	}

	public void setSimcard(String simcard) {
		this.simcard = simcard;
	}



	public String getImei() {
		return imei;
	}

	public void setImei(String imei) {
		this.imei = imei;
	}
	@JSONField(serialize = false)
	public int getNum() {
		return num;
	}

	public void setNum(int num) {
		this.num = num;
	}
	@JSONField(serialize = false)
	public int getType() {
		return type;
	}

	public void setType(int type) {
		this.type = type;
	}
}
